# Hurricane Documentation

# Hurricane VLSI Database

List of all members
Hurricane::StandardPrivateProperty< Value, JsonState > Class Template Reference

StandardPrivateProperty description (API) More...

Inheritance diagram for Hurricane::StandardPrivateProperty< Value, JsonState >:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Hurricane::PrivateProperty
DBo * | getOwner () const
Public Member Functions inherited from Hurricane::Property
virtual void | destroy ()

## Detailed Description

### template<typename Value, typename JsonState = JsonDisabled>
class Hurricane::StandardPrivateProperty< Value, JsonState >

StandardPrivateProperty description (API)

# Introduction

Those properties allow to assign to an object a relation between a name and a value.

The documentation for this class was generated from the following file:

- Property.h